> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/configuration-profiles.md).

# Configuration Profiles

## Gets a list of configuration profile

> This endpoint is used to fetch all the configuration profiles in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/":{"get":{"operationId":"ux_nccm_configuration_profile_list","description":"This endpoint is used to fetch all the configuration profiles in the current organization","summary":"Gets a list of configuration profile","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Configuration Profiles"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConfigurationProfiles"}}}},"description":""}}}}}}
```

## Creates a new configuration profile

> This endpoint is used to save a new configuration profile for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration-profile/":{"post":{"operationId":"ux_nccm_configuration_profile_create","description":"This endpoint is used to save a new configuration profile for the current organization","summary":"Creates a new configuration profile","tags":["Configuration Profiles"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a configuration profile details with the given id

> This endpoint is used to fetch a configuration profiles in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/{id}/":{"get":{"operationId":"ux_nccm_configuration_profile_retrieve","description":"This endpoint is used to fetch a configuration profiles in the current organization","summary":"Gets a configuration profile details with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Profiles"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## Edits the configuration profile with given id

> This endpoint is used to edit an existing configuration profile for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/{id}/":{"put":{"operationId":"ux_nccm_configuration_profile_update","description":"This endpoint is used to edit an existing configuration profile for the current organization","summary":"Edits the configuration profile with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Profiles"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## Deletes the configuration profile with given id

> This endpoint is used to delete an existing configuration profile for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/configuration-profile/{id}/":{"delete":{"operationId":"ux_nccm_configuration_profile_destroy","description":"This endpoint is used to delete an existing configuration profile for the current organization","summary":"Deletes the configuration profile with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Configuration Profiles"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/nccm/configuration-profile/check-profile-config/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/check-profile-config/":{"get":{"operationId":"ux_nccm_configuration_profile_check_profile_config_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Profiles"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## POST /ux/nccm/configuration-profile/create-csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/create-csv/":{"post":{"operationId":"ux_nccm_configuration_profile_create_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Profiles"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## POST /ux/nccm/configuration-profile/csv\_cols/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/csv_cols/":{"post":{"operationId":"ux_nccm_configuration_profile_csv_cols_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Profiles"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## GET /ux/nccm/configuration-profile/download\_csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/download_csv/":{"get":{"operationId":"ux_nccm_configuration_profile_download_csv_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Profiles"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## POST /ux/nccm/configuration-profile/multidelete/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/multidelete/":{"post":{"operationId":"ux_nccm_configuration_profile_multidelete_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Profiles"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## Get the options for the configuration profiles

> This endpoint is used to get the default options for configuration profiles

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/options/":{"get":{"operationId":"ux_nccm_configuration_profile_options_retrieve","description":"This endpoint is used to get the default options for configuration profiles","summary":"Get the options for the configuration profiles","tags":["Configuration Profiles"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```

## POST /ux/nccm/configuration-profile/upload-csv/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"ConfigurationProfiles":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"creation_time":{"type":"string","readOnly":true},"profile_id":{"type":"string","maxLength":25},"profile_name":{"type":"string"},"description":{"type":"string"},"make":{"type":"string"},"os_name":{"type":"string"},"series":{"type":"string"},"connection":{"type":"object","additionalProperties":{}},"config_download":{"type":"object","additionalProperties":{}},"config_upload":{"type":"object","additionalProperties":{}},"os_download":{"type":"object","additionalProperties":{}},"os_upload":{"type":"object","additionalProperties":{}},"operational_data":{"type":"object","additionalProperties":{}},"other_configuration":{"type":"object","additionalProperties":{}},"syslog":{"type":"object","additionalProperties":{}},"comment":{"type":"object","additionalProperties":{}},"last_update_time":{"type":"string","format":"date-time"},"is_deleted":{"type":"boolean"}},"required":["creation_time","id","profile_id"]}}},"paths":{"/ux/nccm/configuration-profile/upload-csv/":{"post":{"operationId":"ux_nccm_configuration_profile_upload_csv_create","description":"API endpoint that allows users to be viewed or edited.","tags":["Configuration Profiles"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurationProfiles"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/configuration-profiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
